///**********************************************************************************************************************************
///  GCGradientWell.h
///  GCDrawKit
///
///  Created by Jason on 03/03/07.
///  Released under the Creative Commons license 2006 Apptree.net.
///
/// 
///  This work is licensed under the Creative Commons Attribution-ShareAlike 2.5 License.
///  To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/2.5/ or send a letter to
///  Creative Commons, 543 Howard Street, 5th Floor, San Francisco, California, 94105, USA.
///
///**********************************************************************************************************************************

#import <Cocoa/Cocoa.h>

@class GCGradient;


@interface GCGradientWell : NSControl

// get and set displayed gradient:

- (GCGradient*)		gradient;
- (void)			setGradient:(GCGradient*) aGradient;

// which is active (i.e. selected for connection to panel)

- (void)			setCanBecomeActiveWell:(BOOL) canbecome;	// default is YES
- (BOOL)			canBecomeActiveWell;
- (BOOL)			isActiveWell;								// currently active?
- (void)			toggleActiveWell;							// make active if not, inactive if so

// actions:

- (IBAction)		cut:(id) sender;
- (IBAction)		copy:(id) sender;
- (IBAction)		paste:(id) sender;
- (IBAction)		delete:(id) sender;

- (IBAction)		copyImage:(id) sender;
- (IBAction)		resetRadial:(id) sender;

@end